

#Include Once "windows.bi"
#include Once "bass.bi"

'Ova Enum nije koriscen
Enum SFXType 
   sfxExplosion = 0
   sfxBullet = 1
   sfxWallHit = 2
End Enum

'Ovaj Tip nije koriscen
Type MemoryFile
   Data As Byte Pointer
   Size As UInteger
   Declare Destructor
End Type

Destructor MemoryFile
  If This.size > 0 Then Delete[] This.Data
End Destructor


Namespace Music
   Dim  hStream As Long = 0
   Dim  lpFile As ZString*260
   
   Sub Initialize
        BASS_Init 1, 44100, 0, 0, 0
   End Sub

   Sub Shutdown
         BASS_Free
   End Sub
   
  Function SetVolume(NewVal As DWORD) As Boolean
  	Return BASS_SetVolume(NewVal)
  End Function
   
  Function GetVolume() As DWORD
  	Return BASS_GetVolume()
  End Function
  
  Function LoadFile(FileName As String) As Long
  	hStream = BASS_StreamCreateFile(FALSE, FileName, 0, 0, BASS_STREAM_AUTOFREE) ' BASS_STREAM_AUTOFREE == oslobadja memoriju kad stigne do kraja ili je pozvano STOP
  	If Not hStream = 0 Then lpFile = FileName
  	Return hStream
  End Function
  
  Function PlayFile() As Boolean
	Return BASS_ChannelPlay(hStream, FALSE)
  End Function
  
   Function PauseFile() As Boolean
	Return BASS_ChannelPause(hStream)
   End Function
   
     Function StopFile() As Boolean
     	Dim ret As Boolean = BASS_ChannelStop(hStream)
 	'Moramo opet da ucitamo Stream
  	hStream = BASS_StreamCreateFile(FALSE, lpFile, 0, 0, BASS_STREAM_AUTOFREE)
  	Return ret
     End Function
     
End Namespace